@import "@/styles/variables";

.horizontal-card {
    display: grid;
    grid-template-rows: 2fr 2fr 24px;
    height: 10rem;
    min-height: 100%;
    min-width: 100%;
    gap: 0.5rem;
    text-align: start;

    &__image-frame {
        position: relative;

        &_dull {
            opacity: 0.2;
        }

        & img {
            object-fit: contain;
            object-position: top left;
        }
    }

    &-button:disabled {
        cursor: not-allowed;
        pointer-events: all !important;
    }

    &__label {
        @include h5-mobile;
    }

    &__link {
        @include paragraph;

        letter-spacing: 0.1px;
        color: $secondary-color;

        @media screen and (width <= 319px) {
            font-size: $fs-p-sm - 1px;
            line-height: $linhe-p - 2px;
        }

        @include notebook {
            @include paragraph-mobile;
        }
    }
}
